com.smartgwt.client.types

## Enum RecordComponentPoolingMode

- java.lang.Object
- - java.lang.Enum<RecordComponentPoolingMode>
  - - com.smartgwt.client.types.RecordComponentPoolingMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<RecordComponentPoolingMode>

      public enum RecordComponentPoolingMode
      extends java.lang.Enum<RecordComponentPoolingMode>
      implements ValueEnum

  The method of component-pooling to employ for `recordComponents`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATA` components are `clear()ed` when not in the viewport, but stay with a record until the record is dropped from cache.
    `RECYCLE` components are pooled and will be passed to `updateRecordComponent()` with the `recordChanged` parameter set to true.
    `VIEWPORT` components are destroyed when the record is not being rendered.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static RecordComponentPoolingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RecordComponentPoolingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VIEWPORT

          public static final RecordComponentPoolingMode VIEWPORT

      components are destroyed when the record is not being rendered. Best for large datasets where embedded components differ greatly per record.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "viewport".

    - #### DATA

          public static final RecordComponentPoolingMode DATA

      components are `clear()ed` when not in the viewport, but stay with a record until the record is dropped from cache. Best for guaranteed small datasets.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "data".

    - #### RECYCLE

          public static final RecordComponentPoolingMode RECYCLE

      components are pooled and will be passed to `updateRecordComponent()` with the `recordChanged` parameter set to true. Best for large datasets where embedded components are uniform across different records and can be efficiently reconfigured to work with a new record

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "recycle".

  - ### Method Detail

    - #### values

          public static RecordComponentPoolingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecordComponentPoolingMode c : RecordComponentPoolingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecordComponentPoolingMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`